#ifndef EDAEMON_H
#define EDAEMON_H

#include "estr.h"

void daemonConnectInitDefault();

void daemonArgs(const efunc& fdaemon=efunc(),const efunc& fconnect=efunc(daemonConnectInitDefault));

void initDaemon2(const estr& sfile);
void initDaemon();

void startTCPDaemon(const estr& sfile=estr());
void startDaemon(const estr& sfile=estr(),const estr& saddr=estr());
void startDaemonConnect(const estr& sfile=estr(),const estr& saddr=estr());
void startDaemonBridge(const estr& sfile=estr());


#endif /* EDAEMON_H */

